## org.codehaus.groovy.grails.test
Class PlainFormatter

    java.lang.Object
      org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter
          org.codehaus.groovy.grails.test.PlainFormatter

All Implemented Interfaces:
  junit.framework.TestListener, org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter, org.apache.tools.ant.taskdefs.optional.junit.JUnitTaskMirror.JUnitResultFormatterMirror

    public class PlainFormatter

extends org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter

JUnit plain text formatter that sanitises the stack traces generated by tests.

Constructor Summary
`PlainFormatter()`

Method Summary
`void` `addError(junit.framework.Test test, Throwable throwable)`
`void` `addFailure(junit.framework.Test test, Throwable throwable)`

Methods inherited from class org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter
`addFailure, endTest, endTestSuite, setOutput, setSystemError, setSystemOutput, startTest, startTestSuite`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlainFormatter

    public PlainFormatter()

Method Detail

### addFailure

    public void addFailure(junit.framework.Test test,
                           Throwable throwable)

  Overrides:
    `addFailure` in class `org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter`

### addError

    public void addError(junit.framework.Test test,
                         Throwable throwable)

  Specified by:
    `addError` in interface `junit.framework.TestListener`
  Overrides:
    `addError` in class `org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter`

Copyright (c) 2005-2009 The Grails project